#include <windows.h>
#include <winver.h>
#include "globals.h"
#include "toolbar.h"
#include "statbar.h"


APPNAME ICON   ICONFILE
IDB_BMP BITMAP toolbar.bmp


; Bring in the dialogs:
RCINCLUDE ABOUT.DLG

APPNAME MENU
BEGIN
  POPUP     "&File"
    BEGIN
      MENUITEM  "&New",             IDM_FILENEW
      MENUITEM  "&Open...",         IDM_FILEOPEN    ,GRAYED
      MENUITEM  "&Save",            IDM_FILESAVE    ,GRAYED
      MENUITEM  "Save &As...",      IDM_FILESAVEAS  ,GRAYED
      MENUITEM  "&Close",           IDM_FILECLOSE   ,GRAYED
      MENUITEM  SEPARATOR
      MENUITEM  "&Print",           IDM_FILEPRINT   ,GRAYED
      MENUITEM  "P&rint Setup...",  IDM_FILEPRINTSU ,GRAYED
      MENUITEM  SEPARATOR
      MENUITEM  "E&xit",            IDM_EXIT
    END

  POPUP     "&Edit"
    BEGIN
      MENUITEM  "&Undo\tAlt+BkSp",  IDM_EDITUNDO    ,GRAYED
      MENUITEM  SEPARATOR
      MENUITEM  "Cu&t\tShift+Del",  IDM_EDITCUT     ,GRAYED
      MENUITEM  "&Copy\tCtrl+Ins",  IDM_EDITCOPY    ,GRAYED
      MENUITEM  "&Paste\tShift+Ins",IDM_EDITPASTE   ,GRAYED
      MENUITEM  "&Delete\tDel",     IDM_EDITCLEAR   ,GRAYED
    END

  POPUP     "&Window"
    BEGIN
      MENUITEM  "&Tile",            IDM_WINDOWTILE
      MENUITEM  "&Cascade",         IDM_WINDOWCASCADE
      MENUITEM  "Arrange &Icons",   IDM_WINDOWICONS
      MENUITEM  "Close &All",       IDM_WINDOWCLOSEALL
    END

  POPUP     "&Help"
    BEGIN
      MENUITEM  "&About...",        IDM_ABOUT
    END
END


APPNAME ACCELERATORS
BEGIN
    "Q", IDM_EXIT, CONTROL, VIRTKEY
END


; String table

STRINGTABLE
BEGIN
    IDS_APPNAME,        SZAPPNAME
    IDS_DESCRIPTION,    SZDESCRIPTION
END

; String table for status bar strings

STRINGTABLE
BEGIN
    IDS_SYSMENU,        "Move, size, or close application window"
    IDS_MDISYSMENU,     "Move, size, or close document window"
    SC_RESTORE,         "Restores the window to normal size"
    SC_MOVE,            "Changes the position of the window"
    SC_SIZE,            "Changes the size of the window"
    SC_MINIMIZE,        "Minimizes the window to an icon"
    SC_MAXIMIZE,        "Enlarges the window to full size"
    SC_CLOSE,           "Closes the window"
    SC_TASKLIST,        "Switches to another application through the Windows Task Manager"
    SC_NEXTWINDOW,      "Switches to the next document window"
    SC_PREVWINDOW,      "Switches to the previous document window"

    IDS_FILEMENU,       "Create, open, save, or print documents"
    IDM_FILENEW,        "Creates a new document"
    IDM_FILEOPEN,       "Opens an existing document"
    IDM_FILESAVE,       "Saves the active document"
    IDM_FILESAVEAS,     "Saves the active document under a different name"
    IDM_FILECLOSE,      "Closes the active document"
    IDM_FILEPRINT,      "Prints the active document"
    IDM_FILEPRINTSU,    "Changes the printer selection or configuration"
    IDM_EXIT,           "Quits this application"

    IDS_EDITMENU,       "Undo, delete, copy, and insert"
    IDM_EDITUNDO,       "Reverses the last action"
    IDM_EDITCUT,        "Cuts the selection and puts it on the clipboard"
    IDM_EDITCOPY,       "Copies the selection and puts it on the clipboard"
    IDM_EDITPASTE,      "Inserts the clipboard contents at the insertion point"
    IDM_EDITCLEAR,      "Removes the selection without putting it on the clipboard"

    IDS_WINDOWMENU,     "Rearrange windows or activate specified window"
    IDM_WINDOWTILE,     "Arranges windows as non-overlapping tiles"
    IDM_WINDOWCASCADE,  "Arranges windows as overlapping tiles"
    IDM_WINDOWCLOSEALL, "Closes all open windows"
    IDM_WINDOWICONS,    "Arranges minimized window icons"
    IDM_WINDOWCHILD,    "Switches to "

    IDS_HELPMENU,       "Get help"
    IDM_ABOUT,          "Displays information about this application"
END


; Version stamping information:

VS_VERSION_INFO VERSIONINFO
FILEVERSION     4,0,0,0
PRODUCTVERSION  4,0,0,0
FILEFLAGSMASK   VS_FFI_FILEFLAGSMASK
FILEFLAGS       (VS_FF_PRIVATEBUILD|VS_FF_PRERELEASE|VS_FF_DEBUG)
FILEOS          VOS_DOS_WINDOWS16
FILETYPE        VFT_APP
FILESUBTYPE     VFT2_UNKNOWN
BEGIN
    BLOCK "StringFileInfo"
    BEGIN
        BLOCK "040904E4"
        BEGIN
            VALUE SZRCOMPANYNAME,   "Microsoft Corporation\0"
            VALUE SZRDESCRIPTION,   SZDESCRIPTION "\0"
            VALUE SZRVERSION,       SZVERSION "\0"
            VALUE SZRAPPNAME,       SZAPPNAME "\0"
            VALUE SZRCOPYRIGHT,     "Copyright \251 Microsoft Corp. 1990-1994\0"
            VALUE SZRTRADEMARK,     "Microsoft\256 is a registered trademark of Microsoft Corporation. Windows(TM) is a trademark of Microsoft Corporation"
            VALUE SZRPRODNAME,      SZAPPNAME "\0"
            VALUE SZRPRODVER,       SZVERSION "\0"
        END
    END

    BLOCK "VarFileInfo"
    BEGIN
        VALUE "Translation", 0x409, 1252
    END
END
